import React from 'react';
declare type KeyValue = {
    [key: string]: any;
};
declare type KeyValueAction = {
    [key: string]: (dispatch: React.Dispatch<any>) => Function;
};
declare type CreateContextProviderReturn = [React.ComponentType, React.Context<any>];
declare function createContextProvider(reducer: React.Reducer<any, any>, initialState: KeyValue, actionCreators: KeyValueAction): CreateContextProviderReturn;
export default createContextProvider;
